%define major	4
%define libname	%mklibname ebml %{major}
%define develname %mklibname ebml -d

Summary:	Extensible Binary Meta Language Library
Name:		libebml
Version:	1.3.7
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.matroska.org/
Source0:	http://dl.matroska.org/downloads/libebml/%{name}-%{version}.tar.xz
BuildRequires:  cmake

%description
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n	%{libname}
Summary: 	Extensible Binary Meta Language shared Library
Group:		System/Libraries

%description -n	%{libname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n	%{develname}
Group:		Development/C++
Summary:	Extensible Binary Meta Language Library headers and static library
Provides:	libebml-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

This package contains the C++ headers and the static library needed
for development with EBML.

%prep
%setup -q
# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

# fix encoding
iconv -f ISO8859-1 -t UTF-8 ChangeLog -o ChangeLog-utf8
touch -r ChangeLog ChangeLog-utf8
mv -f ChangeLog-utf8 ChangeLog

%build
%cmake
%make_build
%install
%make_install -C build

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

# don't ship .a or .la
rm -f %{buildroot}%{_libdir}/lib*.{a,la}

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog LICENSE*
%{_includedir}/ebml
%{_libdir}/libebml.so
%_libdir/cmake/ebml/*.cmake
%_libdir/pkgconfig/libebml.pc


%changelog
* Tue Aug 27 2019 shlomif <shlomif> 1.3.7-1.mga6
+ Revision: 1433670
- New version 1.3.7 for vlc update - MGA#25284 - multi CVEs

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.3.4-1.mga6
+ Revision: 1045510
- 1.3.4

* Mon Feb 15 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 960954
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 gw666 <gw666> 1.3.3-1.mga6
+ Revision: 893784
- new version
- update tarball to fixed version

* Sun Oct 18 2015 gw666 <gw666> 1.3.2-1.mga6
+ Revision: 892448
- new version

* Sat Aug 29 2015 cjw <cjw> 1.3.1-2.mga6
+ Revision: 871045
- rebuild with gcc 5

* Thu Apr 09 2015 gw666 <gw666> 1.3.1-1.mga6
+ Revision: 819946
- new version
- update build procedure
- add pkgconfig file

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 750208
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.0-4.mga5
+ Revision: 726703
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 681436
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 532397
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 luigiwalser <luigiwalser> 1.3.0-1.mga4
+ Revision: 468269
- 1.3.0
- library major is now 4

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-2.mga3
+ Revision: 357040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 fwang <fwang> 1.2.2-1.mga2
+ Revision: 148439
- new version 1.2.2

* Fri Jul 01 2011 ahmad <ahmad> 1.2.1-2.mga2
+ Revision: 117048
- Build with our own default flags
- %%doc one more file
- Fix some rpmlint warnings
- Make the libraries executable so that the can be stripped and -debug isn't
  empty

* Thu Jun 30 2011 ahmad <ahmad> 1.2.1-1.mga2
+ Revision: 117043
- Update to 1.2.1

* Wed Feb 02 2011 ahmad <ahmad> 1.2.0-1.mga1
+ Revision: 46452
- update to 1.2.0

* Tue Jan 25 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 39546
- don't ship .a
- imported package libebml

